name: 'kdump - kexec-load'
universal_id: redhat_kdump.kexec_load
origin: kernel_public_tests
location: kdump-cki/kexec-load
host_requires: cases/kdump/host_requires.xml.j2
enabled:
  components:
    - not: debugbuild
  # kexec_load() - '-c' is only supported on rhel8.
  trees: rhel8.*
  arches:
    # Disable on ppc64le, see Bug 1645409
    not: ppc64le
target_sources:
  - kernel/kexec.*
  - include/linux/kexec.*
  - arch/[^/]+/kernel/crash.*
  - kernel/crash_core\.c
  - fs/proc/vmcore\.c
  - include/ras/ras_event\.h
  - include/linux/clk/clk-conf\.h
  - include/acpi/platform/aclinuxex\.h
  - arch/x86/realmode/init\.c
  - include/net/netns/.*
  - lib/lzo/.*
  - lib/zlib_.*flate/.*
sets:
  - cloud
  - kdump
  - kt1
  - automotive
cases:
  non_automotive:
    enabled:
      not:
        trees: autosd|rhivos
  automotive:
    name: "AUTOSD-RHIVOS"
    sets:
      - automotive
      - kt1
    enabled:
      trees: autosd|rhivos
    host_types: normal
maintainers:
  - name: Jie Li
    email: jieli@redhat.com
    gitlab: jieli1
  - name: Xiaoying Yan
    email: yiyan@redhat.com
    gitlab: yiyan1
  - name: Baoquan He
    email: bhe@redhat.com
    gitlab: baoquan_he
max_duration_seconds: 2400
